Page MenuHomePhabricator

Deploy Extension:WikimediaEditorTasks to production
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/Extension:WikimediaEditorTasks

The extension's purpose is to support the Apps Team's Suggested Edits feature. Its external-facing changes are limited to the exposure of two new action API modules. The official Wikipedia apps (initially, the Android app) will be its primary consumers.

Steps

Related tasks

{T215048: Security review for the WikimediaEditorTasks extension}
{T218087: Performance review of Extension:WikimediaEditorTasks}
{T218302: Choose DB/Cluster for WikimediaEditorTasks tables}
{T218137: Deploy Extension:WikimediaEditorTasks to Beta}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mholloway renamed this task from Deploy WikimediaEditorTasks to production to Deploy Extension:WikimediaEditorTasks to production.Mar 12 2019, 5:41 PM
Mholloway updated the task description. (Show Details)Mar 12 2019, 5:57 PM
Mholloway updated the task description. (Show Details)Mar 12 2019, 6:34 PM
greg added a subscriber: greg.Mar 13 2019, 3:39 PM

Please follow the (currently badly named) Review queue process: https://www.mediawiki.org/wiki/Review_queue

Jhernandez triaged this task as High priority.Mar 13 2019, 3:39 PM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptMar 13 2019, 3:39 PM
greg added a comment.Mar 13 2019, 3:43 PM

Please follow the (currently badly named) Review queue process: https://www.mediawiki.org/wiki/Review_queue

Looking quickly (between meetings), things left to do first:

  • add to Dev/Maintainers
  • make a subtask for beta cluster deployment to easily track that
  • ... that might be it?

Thanks for already having some unit tests ;)

Please follow the (currently badly named) Review queue process: https://www.mediawiki.org/wiki/Review_queue

Looking quickly (between meetings), things left to do first:

  • add to Dev/Maintainers
  • make a subtask for beta cluster deployment to easily track that
  • ... that might be it?

Thanks for already having some unit tests ;)

Thanks! I'd missed the Dev/Maintainers step. Done.

Phan should be set up before this is deployed. See https://www.mediawiki.org/wiki/Continuous_integration/Tutorials/Add_phan_to_a_MediaWiki_extension for more details on how to do so.

Change 496460 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/WikimediaEditorTasks@master] Add Phan and make it pass

https://gerrit.wikimedia.org/r/496460

Change 496484 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/tools/release@master] Add Extension:WikimediaEditorTasks

https://gerrit.wikimedia.org/r/496484

Change 496610 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] [WikimediaEditorTasks] Add phan

https://gerrit.wikimedia.org/r/496610

Change 496484 merged by jenkins-bot:
[mediawiki/tools/release@master] Add Extension:WikimediaEditorTasks

https://gerrit.wikimedia.org/r/496484

Change 496460 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEditorTasks@master] Add Phan and make it pass

https://gerrit.wikimedia.org/r/496460

Change 496610 merged by jenkins-bot:
[integration/config@master] [WikimediaEditorTasks] Add phan

https://gerrit.wikimedia.org/r/496610

Change 499227 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] Enable WikimediaEditorTasks on testwikidatawiki

https://gerrit.wikimedia.org/r/499227

Mholloway updated the task description. (Show Details)
Mholloway updated the task description. (Show Details)Mar 26 2019, 4:57 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMar 26 2019, 4:57 PM

Scheduled deployment windows this week for enabling on testwikidatawiki after the MW train rolls today, and wikidatawiki after the train rolls on Thursday.

Change 499227 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable WikimediaEditorTasks on testwikidatawiki

https://gerrit.wikimedia.org/r/499227

The extension is live on testwikidatawiki and seems to be working well.

Change 499863 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] Enable WikimediaEditorTasks on wikidatawiki

https://gerrit.wikimedia.org/r/499863

Mholloway updated the task description. (Show Details)Mar 28 2019, 7:01 PM
Mholloway updated the task description. (Show Details)Mar 28 2019, 7:39 PM

Change 499863 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable WikimediaEditorTasks on wikidatawiki

https://gerrit.wikimedia.org/r/499863

Mholloway updated the task description. (Show Details)Mar 28 2019, 7:44 PM
Mholloway updated the task description. (Show Details)Mar 28 2019, 7:48 PM
Mholloway updated the task description. (Show Details)Mar 29 2019, 4:17 AM

Change 500104 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/puppet@production] Add cron job to update WikimediaEditorTasks suggestions table

https://gerrit.wikimedia.org/r/500104

Mholloway updated the task description. (Show Details)Apr 2 2019, 5:07 PM
greg removed a subscriber: greg.Apr 2 2019, 6:52 PM

Change 500104 abandoned by Mholloway:
Add cron job to update WikimediaEditorTasks suggestions table

Reason:
This table is actually not currently being used (and might never be, depending on the outcome of T220282), so it's probably better not to add supporting cruft right now.

https://gerrit.wikimedia.org/r/500104

Mholloway closed this task as Resolved.Apr 26 2019, 1:16 PM
Mholloway updated the task description. (Show Details)